[eclipse] Extract .so files after installation.

sami wagiaalla swagiaal at fedoraproject.org
Tue Oct 4 18:14:37 UTC 2011


commit 33c0464e31dec3c6886112deec27c3573d94d1f8
Author: Sami Wagiaalla <swagiaal at redhat.com>
Date:   Mon Oct 3 14:45:32 2011 -0400

    Extract .so files after installation.
    
    - Install .so extraction file.
    - eclipse-reconciler script now extract .so
      files if the reconciler is run with -clean

 eclipse-reconciler.sh |   19 +++++++++++++++----
 eclipse.spec          |    8 ++++++++
 2 files changed, 23 insertions(+), 4 deletions(-)
---
diff --git a/eclipse-reconciler.sh b/eclipse-reconciler.sh
index 271b1a9..40b1c70 100755
--- a/eclipse-reconciler.sh
+++ b/eclipse-reconciler.sh
@@ -21,10 +21,19 @@ then
     echo "Running eclipse reconciler"
     pushd $1
     ./eclipse --launcher.suppressErrors -nosplash -consolelog -application org.eclipse.equinox.p2.reconciler.application ${@:3}
-    exit_value=$?
+    r_exit_value=$?
+
+    if [ $# -ge 3 ] && [ $3 == "-clean" ]
+    then
+	echo "Running the initializer"
+	./eclipse --launcher.suppressErrors -cosolelog -nosplash -application org.eclipse.equinox.initializer.configInitializer -fileInitializer extract_patterns.txt 
+	i_exit_value=$?
+    else
+	i_exit_value=0
+    fi
 
     # Check exit value
-    if [ ! $exit_value -eq 0 ]
+    if [ ! $i_exit_value -eq 0 ] || [ ! $r_exit_value -eq 0 ]
     then
 	# Restore files
 	echo "Reconciler failed. Restoring files"
@@ -49,9 +58,11 @@ echo "Invalid options"
 echo ""
 echo "Usage:"
 echo ""
-echo "  eclipse-reconciler <eclipse dir> <backup location> [reconciler parameters]"
+echo "  eclipse-reconciler <eclipse dir> <backup location> [-clean] [reconciler parameters]"
 echo "    Backsup configuration files in the given location, run the reconciler"
 echo "    and restore the files if there is a problem at the end delete backup files."
-echo "    Any parameters given after the first two are passed directly to the reconciler"
+echo "    If the -clean option is specified -clean is passed to the reoconciler, and the"
+echo "    And the initializer is rerun after reconcilation. Any parameters given after"
+echo "    the first three are passed directly to the reconciler"
 
 exit 1;
diff --git a/eclipse.spec b/eclipse.spec
index 8030bdc..6c39754 100644
--- a/eclipse.spec
+++ b/eclipse.spec
@@ -221,6 +221,9 @@ popd
 #install the reconciler script
 cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/
 
+#install .so extaction paterns file
+cp -p extract_patterns.txt $RPM_BUILD_ROOT/%{_libdir}/%{name}/
+
 # Symlinks to the SWT JNI shared libraries in %%{_libdir}/eclipse
 pushd $RPM_BUILD_ROOT%{_libdir}/%{name}
 for lib in $(find configuration -name libswt\*.so); do
@@ -404,6 +407,7 @@ rm -rf %{_bindir}/efj/
 %{_datadir}/icons/*/*/apps/*
 %{_bindir}/eclipse-reconciler.sh
 %{_libdir}/%{name}/eclipse
+%{_libdir}/%{name}/extract_patterns.txt
 %dir %{_libdir}/%{name}/dropins
 %dir %{_datadir}/%{name}/dropins
 %{_libdir}/%{name}/features/org.eclipse.platform_*
@@ -555,6 +559,10 @@ rm -rf %{_bindir}/efj/
 
 %changelog
 * Mon Oct 3 2011 Sami Wagiaalla <swagiaal at redhat.com> 1:3.7.0-5
+- Install .so extraction file.
+- Extract .so files when the reconciler is run with -clean
+
+* Mon Oct 3 2011 Sami Wagiaalla <swagiaal at redhat.com> 1:3.7.0-5
 - Correct verification for files edited by the reconciler.
 - Do not install state files.
 


More information about the scm-commits mailing list